# PSF-LoginServer - master - net.psforever.objects.guid.pool.ExclusivePool
PSF - LoginServer - master - net.psforever.objects.guid.pool.ExclusivePool
Keywords: PSF LoginServer master net.psforever.objects.guid.pool.ExclusivePool

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package pool
  Definition Classes
    guid
- ExclusivePool
- GenericPool
- NumberPool
- SimplePool

c

net.psforever.objects.guid.pool

# ExclusivePool

###

#### class ExclusivePool extends SimplePool

Source
  ExclusivePool.scala

Linear Supertypes
SimplePool, NumberPool, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExclusivePool
2. SimplePool
3. NumberPool
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ExclusivePool(numbers: List[Int])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Count: Int
   Definition Classes
     ExclusivePool → SimplePool → NumberPool
5.  def Get(): Try[Int]
   Definition Classes
     ExclusivePool → SimplePool → NumberPool
6.  def Numbers: List[Int]
   Definition Classes
     SimplePool → NumberPool
7.  def Return(number: Int): Boolean
   Definition Classes
     ExclusivePool → SimplePool → NumberPool
8.  def Selector: NumberSelector
   Definition Classes
     SimplePool → NumberPool
9.  def Selector_=(slctr: NumberSelector): Unit
   Definition Classes
     ExclusivePool → SimplePool → NumberPool
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  val numbers: List[Int]
    Definition Classes
      ExclusivePool → SimplePool
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SimplePool

### Inherited from NumberPool

### Inherited from AnyRef

### Inherited from Any

### Ungrouped